Elgoh.InterestedRaiders={};
Elgoh.Rolling=false;
Elgoh.CurrentItem="";
Elgoh.disenchanter="your Disenchanter";
Elgoh.ids={	
	[449]="Warforged",
	[450]="Mythic",
	[499]="Heroic Warforged",
	[566]="Heroic"
};

Elgoh.frmMain = CreateFrame("Frame","ElgohfrmMain",UIParent,"ButtonFrameTemplate")

function Elgoh.HookTooltips()
	Elgoh.TooltipList = {
		ItemRefTooltip,
		GameTooltip,
		ShoppingTooltip1,
		ShoppingTooltip2,
		ComparisonTooltip1,
		ComparisonTooltip2,
	}
	Elgoh.TooltipMethodList = {
		"SetHyperlink", 
		"SetBagItem",
		"SetInventoryItem",
		"SetAuctionItem",
		"SetAuctionSellItem",
		"SetLootItem",
		"SetLootRollItem",
		"SetTradeSkillItem",
		"SetTrainerService",
		"SetInboxItem",
		"SetSendMailItem",
		"SetQuestItem",
		"SetQuestLogItem",
		"SetTradePlayerItem",
		"SetTradeTargetItem",
		"SetMerchantItem",
		"SetBuybackItem",
	}
	for _, tooltip in ipairs(Elgoh.TooltipList) do
		if tooltip then
			for _, tooltipType in ipairs(Elgoh.TooltipMethodList) do
				hooksecurefunc(tooltip, tooltipType, Elgoh.ItemTooltip)
			end
		end
	end
	GameTooltip:HookScript("OnTooltipSetUnit", Elgoh.UnitTooltip); 
end

function Elgoh.UnitPopup_ShowMenu()
	local button
	for i=1, UIDROPDOWNMENU_MAXBUTTONS do
		button = _G["DropDownList"..UIDROPDOWNMENU_MENU_LEVEL.."Button"..i]
		if button.value == "SET_DISENCHANTER" then
			button.func = Elgoh.UnitPopupClick
		end
	end
end

function Elgoh.AddDropdowns()
	UnitPopupButtons["SET_DISENCHANTER"] = {
		text = "Set as Disenchanter",
		dist = 0,
		func = function() Elgoh.UnitPopupClick(); end
	}
	
	local types = {"RAID_PLAYER", "PARTY", "SELF", "TARGET" }
	
	for i, v in ipairs(types) do
		tinsert(UnitPopupMenus[v], #UnitPopupMenus[v], "SET_DISENCHANTER")
	end
	
	hooksecurefunc("UnitPopup_ShowMenu", Elgoh.UnitPopup_ShowMenu)
end

Elgoh.frmMain:RegisterEvent("ADDON_LOADED");
Elgoh.frmMain:RegisterEvent("PLAYER_LOGIN");
Elgoh.frmMain:SetScript("OnEvent", Elgoh.onEvent);